невозможно установить KVM на Ubuntu 16.04.02 LTS зависимости - proUbuntu
Винтажный Клуб для гитаристов
0 голосов
/

Ubuntu 16.04.2 LTS (GNU / Linux 4.4.0-70-generic x86_64)

cmd:sudo apt-get update && sudo apt-get dist-upgrade -y

error:
etting up qemu-system-common (1:2.5+dfsg-5ubuntu10.9) ...
insserv: Service mountkernfs has to be enabled to start service qemu-system-x86
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package qemu-system-common (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of qemu-system-x86:
 qemu-system-x86 depends on qemu-system-common (>> 2.0.0+dfsg-7~); however:
  Package qemu-system-common is not configured yet.

dpkg: error processing package qemu-system-x86 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of qemu-kvm:
 qemu-kvm depends on qemu-system-x86 (= 1:2.5+dfsg-5ubuntu10.9); however:
  Package qemu-system-x86 is not configured yet.

dpkg: error processing package qemu-kvm (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          No apport report written because the error message indicates its a followup error from a previous failure.
                                                    No apport report written because MaxReports is reached already
                                                                                                                  dpkg: dependency problems prevent configuration of python-vm-builder:
 python-vm-builder depends on qemu-kvm | qemu-kvm-extras; however:
  Package qemu-kvm is not configured yet.
  Package qemu-kvm-extras is not installed.

dpkg: error processing package python-vm-builder (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ubuntu-vm-builder:
 ubuntu-vm-builder depends on python-vm-builder; however:
  Package python-vm-builder is not configured yet.

dpkg: error processing package ubuntu-vm-builder (--configure):
 dependency problems - leaving unconfigured
Setting up libapparmor-perl (2.10.95-0ubuntu2.6) ...
No apport report written because MaxReports is reached already
                                                              Setting up apparmor (2.10.95-0ubuntu2.6) ...
Installing new version of config file /etc/init.d/apparmor ...
Installing new version of config file /etc/init/apparmor.conf ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Processing triggers for systemd (229-4ubuntu16) ...
Processing triggers for ureadahead (0.100.0-19) ...
Errors were encountered while processing:
 qemu-system-common
 qemu-system-x86
 qemu-kvm
 python-vm-builder
 ubuntu-vm-builder
E: Sub-process /usr/bin/dpkg returned an error code (1)

1 Ответ

0 голосов
/

У меня была похожая проблема, и я решил:

sudo update-rc.d mountkernfs.sh defaults
sudo apt-get -f install
Добро пожаловать на сайт proUbuntu, где вы можете задавать вопросы и получать ответы от других членов сообщества.
...